<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
AddGroups Method (IEdmUserMgr6)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmUserMgr6 Interface : AddGroups Method (IEdmUserMgr6)

Visual Basic
C#
C++/CLI

ppoGroupData
  Array of EdmGroupData structures; one structure for each user group

Obsolete. Superseded by IEdmUserMgr7::AddGroups2 .

# Syntax

Visual Basic |
--- | ---

    Sub AddGroups( _
       ByRef ppoGroupData() As EdmGroupData _
    )

C# |
--- | ---

    void AddGroups(
       out EdmGroupData[] ppoGroupData
    )

C++/CLI |
--- | ---

    void AddGroups(
    &   [Out] array<EdmGroupData>^ ppoGroupData
    )

#### Parameters

ppoGroupData
  Array of EdmGroupData structures; one structure for each user group

# Remarks

This method is superseded by IEdmUserMgr7::AddGroups2 which allows you to specify system permissions.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmUserMgr6 Interface
IEdmUserMgr6 Members

# Availability

SOLIDWORKS PDM Professional 2007